OpenJPEG: opj_t1 Struct Reference

OpenJPEG 2.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
opj_t1 Struct Reference
T1 - Implementation of the tier-1 coding

Tier-1 coding (coding of code-block coefficients) More...

`#include <t1.h>`

## Data Fields
opj_mqc_t * | mqc
| MQC component. More...
opj_raw_t * | raw
| RAW component. More...
OPJ_INT32 * | data
opj_flag_t * | flags
OPJ_UINT32 | w
OPJ_UINT32 | h
OPJ_UINT32 | datasize
OPJ_UINT32 | flagssize
OPJ_UINT32 | flags_stride
OPJ_UINT32 | data_stride
OPJ_BOOL | encoder

## Detailed Description

Tier-1 coding (coding of code-block coefficients)

## Field Documentation

OPJ_INT32* opj_t1::data

Referenced by opj_t1_allocate_buffers(), opj_t1_dec_clnpass(), opj_t1_dec_refpass_mqc(), opj_t1_dec_refpass_mqc_vsc(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_mqc(), opj_t1_dec_sigpass_mqc_vsc(), opj_t1_dec_sigpass_raw(), opj_t1_decode_cblks(), opj_t1_destroy(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), opj_t1_encode_cblk(), and opj_t1_encode_cblks().

OPJ_UINT32 opj_t1::data_stride

Referenced by opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), opj_t1_encode_cblk(), and opj_t1_encode_cblks().

OPJ_UINT32 opj_t1::datasize

Referenced by opj_t1_allocate_buffers().

OPJ_BOOL opj_t1::encoder

Referenced by opj_t1_allocate_buffers(), opj_t1_create(), and opj_t1_destroy().

opj_flag_t* opj_t1::flags

Referenced by opj_t1_allocate_buffers(), opj_t1_dec_clnpass(), opj_t1_dec_refpass_mqc(), opj_t1_dec_refpass_mqc_vsc(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_mqc(), opj_t1_dec_sigpass_mqc_vsc(), opj_t1_dec_sigpass_raw(), opj_t1_destroy(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), and opj_t1_enc_sigpass().

OPJ_UINT32 opj_t1::flags_stride

Referenced by opj_t1_allocate_buffers(), opj_t1_dec_clnpass(), opj_t1_dec_clnpass_step(), opj_t1_dec_clnpass_step_partial(), opj_t1_dec_clnpass_step_vsc(), opj_t1_dec_refpass_mqc(), opj_t1_dec_refpass_mqc_vsc(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_mqc(), opj_t1_dec_sigpass_mqc_vsc(), opj_t1_dec_sigpass_raw(), opj_t1_dec_sigpass_step_mqc(), opj_t1_dec_sigpass_step_mqc_vsc(), opj_t1_dec_sigpass_step_raw(), opj_t1_enc_clnpass(), opj_t1_enc_clnpass_step(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), opj_t1_enc_sigpass_step(), and opj_t1_encode_cblk().

OPJ_UINT32 opj_t1::flagssize

Referenced by opj_t1_allocate_buffers().

OPJ_UINT32 opj_t1::h

Referenced by opj_t1_allocate_buffers(), opj_t1_dec_clnpass(), opj_t1_dec_refpass_mqc(), opj_t1_dec_refpass_mqc_vsc(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_mqc(), opj_t1_dec_sigpass_mqc_vsc(), opj_t1_dec_sigpass_raw(), opj_t1_decode_cblks(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), opj_t1_encode_cblk(), and opj_t1_encode_cblks().

opj_mqc_t* opj_t1::mqc

MQC component.

Referenced by opj_t1_create(), opj_t1_dec_clnpass(), opj_t1_dec_clnpass_step(), opj_t1_dec_clnpass_step_partial(), opj_t1_dec_clnpass_step_vsc(), opj_t1_dec_refpass_step_mqc(), opj_t1_dec_refpass_step_mqc_vsc(), opj_t1_dec_sigpass_step_mqc(), opj_t1_dec_sigpass_step_mqc_vsc(), opj_t1_decode_cblk(), opj_t1_destroy(), opj_t1_enc_clnpass(), opj_t1_enc_clnpass_step(), opj_t1_enc_refpass_step(), opj_t1_enc_sigpass_step(), and opj_t1_encode_cblk().

opj_raw_t* opj_t1::raw

RAW component.

Referenced by opj_t1_create(), opj_t1_dec_refpass_step_raw(), opj_t1_dec_sigpass_step_raw(), opj_t1_decode_cblk(), opj_t1_destroy(), and opj_t1_encode_cblk().

OPJ_UINT32 opj_t1::w

Referenced by opj_t1_allocate_buffers(), opj_t1_dec_clnpass(), opj_t1_dec_refpass_mqc(), opj_t1_dec_refpass_mqc_vsc(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_mqc(), opj_t1_dec_sigpass_mqc_vsc(), opj_t1_dec_sigpass_raw(), opj_t1_decode_cblks(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), opj_t1_encode_cblk(), and opj_t1_encode_cblks().

The documentation for this struct was generated from the following file:

- t1.h